## Name

shell — Separates the specified NMG shape into its constituent shells.

## Synopsis

`shells` [`NMG_shape`]

## DESCRIPTION

Separates the specified NMG shape into its constituent shells. Each shell is written to the database as a separate NMG object with a name of the form shell with a number appended to make the name unique. If the NMG has only one shell, then only one new object will be created. This differs from the decompose command in that decompose will actually break the object into a number of separate shells if possible.

## EXAMPLES

The example shows the use of the shells command to break an NMG shape into its constituent shells.

Example 1. Break an NMG shape into its constituent shells.

`mged>``object.nmg`

Breaks the NMG shape named object.nmg into its constituent shells.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.